﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data;
using MvcDemo1.MyClass;

namespace MvcDemo1.Controllers
{
    public class D1Controller : Controller
    {
        //
        // GET: /D1/

        public ActionResult V1()
        {            
            ViewData["myDate"] = "测试用ViewDate简单的传值";
            TempData["myTempDate"] = "测试用TempDate简单的传值";

            #region 测试用ViewDate传递DataTable

            DataTable dt = new DataTable();

            dt.Columns.Add("SysNo");
            dt.Columns.Add("Name");


            for (int i = 0; i < 10; i++)
            {
                DataRow dr = dt.NewRow();
                dr["SysNo"] = i.ToString();
                dr["Name"] = "名字是" + i.ToString();
                dt.Rows.Add(dr);
            }

            ViewData["dt"] = dt;

            #endregion


            #region 经常用户Error 报错提示

            TempData["TestRedirectValue"] = "测试页面之间简单的传值用TempDate";
            Response.Redirect("/D1/V2");

            #endregion
            return View();
        }

        public ActionResult V2()
        {
            UserInfo ui = new UserInfo();
            ui.SysNo = 110;
            ui.Name = "张三";

            ViewData["ui"] = ui;
            return View();
        }

        public ActionResult V3()
        {

            ViewData["myViewDate"] = "测试另外一种传值方式：";
            UserInfo ui = new UserInfo();
            ui.SysNo = 110;
            ui.Name = "张三";


            return View(ui);
        }

        public ActionResult V4()
        {
            return View();
        }

        #region 测试链接传值的不同方法

        /// <summary>
        /// 方法一
        /// </summary>
        /// <param name="word"></param>
        /// <returns></returns>
        public ActionResult V5(string word, string key, string uid)
        {
            ViewData["qt"] = word + key + uid;

            return View();
        }
        ///// <summary>
        ///// 方法二
        ///// </summary>
        ///// <returns></returns>
        //public ActionResult V5()
        //{
        //    ViewData["qt"] = Request.QueryString["word"].ToString() + Request.QueryString["key"].ToString() + Request.QueryString["uid"].ToString();

        //    return View();
        //}
        #endregion

        public ActionResult V6()
        {

            if (Request["r1"] != null)
            {
                ViewData["radio"] = Request["r1"].ToString();
                ViewData["check"] = Request["c1"].ToString();



            }

            return View();
        }

        //public ActionResult V7()
        //{  
        //    return View();
        //}
    }
}
